<template>
  <q-layout view="hHh Lpr fFf">
    <q-header elevated style="background: #61cb34;">
      <q-toolbar>
        <q-btn
          flat
          round
          dense
          icon="arrow_back"
          @click="$router.back()"
        />
        <q-toolbar-title>
          {{ judul || "Jarkons" }}
        </q-toolbar-title>
        <q-space />
        <q-img class="desktop-only" @click="$router.push('/')" src="~assets/logo_big.png" style="max-width: 11.53rem; margin: 2px"/>
      </q-toolbar>
    </q-header>
    <q-page-container>
      <router-view @gantiJudul="gantiJudul" />
    </q-page-container>
  </q-layout>
</template>

<script>
export default {
  name: 'BackButton',
  data () {
    return {
      judul: null,
    }
  },
  methods: {
    gantiJudul(judul) {
      this.judul = judul
    }
  }
}
</script>
